Package Base Details: bcompare

Git Clone URL: https://aur.archlinux.org/bcompare.git (read-only)
Keywords: compare diff
Submitter: Musikolo
Maintainer: Musikolo
Last Packager: Musikolo
Votes: 76
Popularity: 0.809698
First Submitted: 2011-07-27 22:54
Last Updated: 2019-06-01 02:51

Latest Comments

« First ‹ Previous ... 9 10 11 12 13 14 15 Next › Last »

Anonymous comment on 2012-03-03 13:45

It could be nice if you could add execution of cript which creates right-click actions in KDE, script is located in package /usr/lib/beyondcompare/kde_contect_menu, before you run it you must create dir called ServiceMenus in ~/.kde4/share/kde4/services/ otherwise it fails...

BTW. ScooterSoftware provides that deb package as 30-day trial, after that period you have to enter serial number... when I install that deb on ubuntu, it works as trial, so twopumpchump was right that it is unexpected behaviour.

Musikolo commented on 2012-03-01 21:41

Updated to version 3.3.4.

Regards.

Musikolo commented on 2012-02-02 21:56

@twopumpchump: This package is commercial, what means that if you want to run it you need key code. The usual way to get key code is to buy it. Thus, what you get is the expected behaviour.

Anonymous comment on 2012-01-31 03:27

When i try to open I get error "the trial information is missing or corrupt" and cannot open program unless i buy it...anybody else?

Musikolo commented on 2012-01-13 19:26

@Petrovo:
I have included your tip. So, now deb2targz is no longer needed as make dependency.

Thanks.

@Everyone else:
For those having the version 3.3.3 already installed, there is no need to rebuild the package again as it's equivalent at binary level.

Best regards.

petrovo commented on 2012-01-07 11:32

deb2targz is out see. http://www.miketaylor.org.uk/tech/deb/

My inspiration with ar from https://aur.archlinux.org/packages.php?ID=37421
Notice: This is my first attempt with PKGBUILD. But the program runs.


# Extract all files from .deb file, set default permissions and move them to the pkg dir
ar x $FILE_BASE_NAME.deb
tar xzf data.tar.gz -C $pkgdir

# C lean up unneded files for

jsivak commented on 2011-09-28 17:59

BeyondCompare is updated to 3.3.2 build 14050.

Patch for PKGBUILD below:

--- PKGBUILD 2011-09-28 13:57:24.440369193 -0400
+++ PKGBUILD-updated 2011-09-28 13:55:21.661522311 -0400
@@ -5,7 +5,7 @@
# - http://www.scootersoftware.com/vbulletin/showpost.php?s=3c1f289bc76655230b49f440dbe17b53&p=26449&postcount=7

pkgname=bcompare
-pkgver=3.3.1.13971
+pkgver=3.3.2.14050
pkgrel=1
pkgdesc="Beyond Compare 3: Compare, sync, and merge files and folders"
arch=('i686' 'x86_64')
@@ -21,14 +21,14 @@
depends=('lib32-qt' 'lib32-qt3' 'sh')
source=("http://www.scootersoftware.com/${pkgname}-${pkgver}_amd64.deb")
noextract=("http://www.scootersoftware.com/${pkgname}-${pkgver}_amd64.deb")
- md5sums=('c143f9e272ea8238a1081b89319dd98d')
+ md5sums=('b3140ad34dcf53704ded9bd7509222d2')

elif [ "${CARCH}" = 'i686' ]; then
ARCH='i386'
depends=('sh')
source=("http://www.scootersoftware.com/${pkgname}-${pkgver}_i386.deb")
noextract=("http://www.scootersoftware.com/${pkgname}-${pkgver}_i386.deb")
- md5sums=('c17eb84d2c038456ef1a82a5b29b9a26')
+ md5sums=('26369521fe0294426f88691513224118')
fi

build() {

Musikolo commented on 2011-08-30 22:19

All architectures are now supported. For x86_64 architectures some lib32 packages are required.

If you find anything that can be improved, please, do not hesitate to let me know.

Enjoy!

Musikolo commented on 2011-08-25 22:16

Hi,

I'll try to do my best at the beginning of the next week. It turns out impossible for me to do anything at all sooner.

Regards.

jsivak commented on 2011-08-25 17:29

Forgot to say "build bcompare for x86_64".